> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-documentation/bank-accounts-validation-api.md).

# Bank Accounts Validation API

The Bank Accounts Validation API allows you to verify if a bank account is not only valid, but also if it exists and can receive funds.

We do this by using the same algorithm the banks use to create and validate the accounts and by making a *micro-deposit* that verifies the account exists and is able to receive funds.

{% hint style="success" %}
Check with your Account Manager regarding the availability of this API on the banks you require
{% endhint %}

See how to integrate to the Bank Account Validation API by clicking below:

{% content-ref url="/pages/3icVaI7nri41kfkWgYiy" %}
[Bank Account Validation Endpoint](/api-documentation/bank-accounts-validation-api/bank-account-validation-endpoint.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/api-documentation/bank-accounts-validation-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
